[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# Ellipse

Draw an ellipse

## Declaration

Source position: graphh.inc line 809

`procedure Ellipse(`
`X: SmallInt;`
`Y: SmallInt;`
`stAngle: Word;`
`EndAngle: Word;`
`XRadius: Word;`
`YRadius: Word`
`);`

## Description

Ellipse draws part of an ellipse with center at (X,Y). XRadius and Yradius are the horizontal and vertical radii of the ellipse. Start and Stop are the starting and stopping angles of the part of the ellipse. They are measured counterclockwise from the X-axis (3 o'clock is equal to 0 degrees). Only positive angles can be specified.

## Errors

None.

## See also

Arc |  | Draw part of a circle
Circle |  | Draw a complete circle
FillEllipse |  | Draw and fill an ellipse

Documentation generated on: Feb 26 2014